/**
  * PlayerBase
  * Auteur : G.Burri
  * version 1.0
  */
  
/**
  * class Player
  * Reprsente un joueur.
  */
class PlayerBase
{
    protected Position position;
    protected int id;
    
   /**
     * Constructeur.
     * pos : la position actuelle d'un joueur
     * id : l'id du joueur
     */
    public PlayerBase(Position pos, int id)
    {
        this.id = id;
        this.position = pos;
    }

   /**
     * Retourne l'id du player.
     * retourne : l'id
     */
    public int getId()
    {
        return this.id;   
    }    

   /**
     * Retourne la position du player.
     * retourne : la position (voir classe Position)
     */    
    public Position getPosition()
    {
        return this.position;   
    }
}
